- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QUrlInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qurlinfo.h.

`#include <qurlinfo.h>`

List of all members.

## Public Types
enum | PermissionSpec { ReadOwner = 00400, WriteOwner = 00200, ExeOwner = 00100, ReadGroup = 00040, WriteGroup = 00020, ExeGroup = 00010, ReadOther = 00004, WriteOther = 00002, ExeOther = 00001 }
## Public Member Functions
| QUrlInfo ()
| QUrlInfo (const QUrlInfo &ui)
| QUrlInfo (const QString &name, int permissions, const QString &owner, const QString &group, qint64 size, const QDateTime &lastModified, const QDateTime &lastRead, bool isDir, bool isFile, bool isSymLink, bool isWritable, bool isReadable, bool isExecutable)
| QUrlInfo (const QUrl &url, int permissions, const QString &owner, const QString &group, qint64 size, const QDateTime &lastModified, const QDateTime &lastRead, bool isDir, bool isFile, bool isSymLink, bool isWritable, bool isReadable, bool isExecutable)
QUrlInfo & | operator= (const QUrlInfo &ui)
virtual | ~QUrlInfo ()
virtual void | setName (const QString &name)
virtual void | setDir (bool b)
virtual void | setFile (bool b)
virtual void | setSymLink (bool b)
virtual void | setOwner (const QString &s)
virtual void | setGroup (const QString &s)
virtual void | setSize (qint64 size)
virtual void | setWritable (bool b)
virtual void | setReadable (bool b)
virtual void | setPermissions (int p)
virtual void | setLastModified (const QDateTime &dt)
void | setLastRead (const QDateTime &dt)
bool | isValid () const
QString | name () const
int | permissions () const
QString | owner () const
QString | group () const
qint64 | size () const
QDateTime | lastModified () const
QDateTime | lastRead () const
bool | isDir () const
bool | isFile () const
bool | isSymLink () const
bool | isWritable () const
bool | isReadable () const
bool | isExecutable () const
bool | operator== (const QUrlInfo &i) const
bool | operator!= (const QUrlInfo &i) const
## Static Public Member Functions
static bool | greaterThan (const QUrlInfo &i1, const QUrlInfo &i2, int sortBy)
static bool | lessThan (const QUrlInfo &i1, const QUrlInfo &i2, int sortBy)
static bool | equal (const QUrlInfo &i1, const QUrlInfo &i2, int sortBy)

## Member Enumeration Documentation

enum PermissionSpec

Search for all occurrences

Enumerator:

  ReadOwner | Search for all occurrences
  WriteOwner | Search for all occurrences
  ExeOwner | Search for all occurrences
  ReadGroup | Search for all occurrences
  WriteGroup | Search for all occurrences
  ExeGroup | Search for all occurrences
  ReadOther | Search for all occurrences
  WriteOther | Search for all occurrences
  ExeOther | Search for all occurrences

Definition at line 63 of file qurlinfo.h.

                            {
            ReadOwner = 00400, WriteOwner = 00200, ExeOwner = 00100,
            ReadGroup = 00040, WriteGroup = 00020, ExeGroup = 00010,
            ReadOther = 00004, WriteOther = 00002, ExeOther = 00001 };

## Constructor & Destructor Documentation

QUrlInfo | ( |  | ) |

QUrlInfo | ( | const QUrlInfo & | ui | ) |

QUrlInfo | ( | const QString & | name,
|  | int | permissions,
|  | const QString & | owner,
|  | const QString & | group,
|  | qint64 | size,
|  | const QDateTime & | lastModified,
|  | const QDateTime & | lastRead,
|  | bool | isDir,
|  | bool | isFile,
|  | bool | isSymLink,
|  | bool | isWritable,
|  | bool | isReadable,
|  | bool | isExecutable
| ) |  |

QUrlInfo | ( | const QUrl & | url,
|  | int | permissions,
|  | const QString & | owner,
|  | const QString & | group,
|  | qint64 | size,
|  | const QDateTime & | lastModified,
|  | const QDateTime & | lastRead,
|  | bool | isDir,
|  | bool | isFile,
|  | bool | isSymLink,
|  | bool | isWritable,
|  | bool | isReadable,
|  | bool | isExecutable
| ) |  |

virtual ~QUrlInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

QUrlInfo& operator= | ( | const QUrlInfo & | ui | ) |

virtual void setName | ( | const QString & | name | ) | `[virtual]`

Search for all occurrences

virtual void setDir | ( | bool | b | ) | `[virtual]`

Search for all occurrences

virtual void setFile | ( | bool | b | ) | `[virtual]`

Search for all occurrences

virtual void setSymLink | ( | bool | b | ) | `[virtual]`

Search for all occurrences

virtual void setOwner | ( | const QString & | s | ) | `[virtual]`

Search for all occurrences

virtual void setGroup | ( | const QString & | s | ) | `[virtual]`

Search for all occurrences

virtual void setSize | ( | qint64 | size | ) | `[virtual]`

Search for all occurrences

virtual void setWritable | ( | bool | b | ) | `[virtual]`

Search for all occurrences

virtual void setReadable | ( | bool | b | ) | `[virtual]`

Search for all occurrences

virtual void setPermissions | ( | int | p | ) | `[virtual]`

Search for all occurrences

virtual void setLastModified | ( | const QDateTime & | dt | ) | `[virtual]`

Search for all occurrences

void setLastRead | ( | const QDateTime & | dt | ) |

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

int permissions | ( |  | ) | const

Search for all occurrences

QString owner | ( |  | ) | const

Search for all occurrences

QString group | ( |  | ) | const

Search for all occurrences

qint64 size | ( |  | ) | const

Search for all occurrences

QDateTime lastModified | ( |  | ) | const

Search for all occurrences

QDateTime lastRead | ( |  | ) | const

Search for all occurrences

bool isDir | ( |  | ) | const

Search for all occurrences

bool isFile | ( |  | ) | const

Search for all occurrences

bool isSymLink | ( |  | ) | const

Search for all occurrences

bool isWritable | ( |  | ) | const

Search for all occurrences

bool isReadable | ( |  | ) | const

Search for all occurrences

bool isExecutable | ( |  | ) | const

Search for all occurrences

static bool greaterThan | ( | const QUrlInfo & | i1,
|  | const QUrlInfo & | i2,
|  | int | sortBy
| ) |  | `[static]`

Search for all occurrences

static bool lessThan | ( | const QUrlInfo & | i1,
|  | const QUrlInfo & | i2,
|  | int | sortBy
| ) |  | `[static]`

Search for all occurrences

static bool equal | ( | const QUrlInfo & | i1,
|  | const QUrlInfo & | i2,
|  | int | sortBy
| ) |  | `[static]`

Search for all occurrences

bool operator== | ( | const QUrlInfo & | i | ) | const

bool operator!= | ( | const QUrlInfo & | i | ) | const `[inline]`

Definition at line 118 of file qurlinfo.h.

        { return !operator==(i); }

The documentation for this class was generated from the following file:

- QtNetwork/qurlinfo.h

QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo
QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo QUrlInfo